XFcPixelBlender class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPixelBlender Class Reference

Utility for pixel blending. More...

List of all members.

## Static Public Member Functions

XFCIMPORT UINT32 | blendNone55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, no blending.
XFCIMPORT UINT32 | blendAlpha55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using alpha blending.
XFCIMPORT UINT32 | blendAlphaFast55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using fast alpha blending.
XFCIMPORT UINT32 | blendAdd55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using additive blending.
XFCIMPORT UINT32 | blendAddFast55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using fast additive blending.
XFCIMPORT UINT32 | blendMul55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using multiplicative blending.
XFCIMPORT UINT32 | blendMulFast55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using fast multiplicative blending.
XFCIMPORT UINT32 | blendInvmul55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using inverse multiplicative blending.
XFCIMPORT UINT32 | blendInvmulFast55X5 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, both in 55X5 format, using fast inverse multiplicative blending.
XFCIMPORT UINT32 | blendNonePremul8888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels in Premul8888 format, no blending.
XFCIMPORT UINT32 | blendAlphaPremul8888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels in Premul8888 format, using alpha blending.
XFCIMPORT UINT32 | blendAddPremul8888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels in Premul8888 format, using additive blending.
XFCIMPORT UINT32 | blendMulPremul8888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels in Premul8888 format, using multiplicative blending.
XFCIMPORT UINT32 | blendInvmulPremul8888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels in Premul8888 format, using inverse multiplicative blending.
XFCIMPORT UINT32 | blendNoneX888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, source in Premul8888 format, target in X888 format, no blending.
XFCIMPORT UINT32 | blendAlphaX888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, source in Premul8888 format, target in X888 format, using alpha blending.
XFCIMPORT UINT32 | blendAddX888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, source in Premul8888 format, target in X888 format, using additive blending.
XFCIMPORT UINT32 | blendMulX888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, source in Premul8888 format, target in X888 format, using multiplicative blending.
XFCIMPORT UINT32 | blendInvmulX888 (UINT32 aSource, UINT32 aTarget, UINT32 aBlendValue)
| Blends together two pixels, source in Premul8888 format, target in X888 format, using inverse multiplicative blending.
XFCIMPORT void | blendBufferNone55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, no blending.
XFCIMPORT void | blendBufferAlpha55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using alpha blending.
XFCIMPORT void | blendBufferAlphaFast55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using fast alpha blending.
XFCIMPORT void | blendBufferAdd55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using additive blending.
XFCIMPORT void | blendBufferAddFast55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using fast additive blending.
XFCIMPORT void | blendBufferMul55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using multiplicative blending.
XFCIMPORT void | blendBufferMulFast55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using fast multiplicative blending.
XFCIMPORT void | blendBufferInvmul55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using inverse multiplicative blending.
XFCIMPORT void | blendBufferInvmulFast55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, both in 55X5 format, using fast inverse multiplicative blending.
XFCIMPORT void | blendBufferNonePremul8888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers in Premul8888 format, no blending.
XFCIMPORT void | blendBufferAlphaPremul8888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers in Premul8888 format, using alpha blending.
XFCIMPORT void | blendBufferAddPremul8888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers in Premul8888 format, using additive blending.
XFCIMPORT void | blendBufferMulPremul8888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers in Premul8888 format, using multiplicative blending.
XFCIMPORT void | blendBufferInvmulPremul8888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers in Premul8888 format, using inverse multiplicative blending.
XFCIMPORT void | blendBufferNoneX888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, source in Premul8888 format, target in X888 format, no blending.
XFCIMPORT void | blendBufferAlphaX888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, source in Premul8888 format, target in X888 format, using alpha blending.
XFCIMPORT void | blendBufferAddX888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, source in Premul8888 format, target in X888 format, using additive blending.
XFCIMPORT void | blendBufferMulX888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, source in Premul8888 format, target in X888 format, using multiplicative blending.
XFCIMPORT void | blendBufferInvmulX888 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends together two buffers, source in Premul8888 format, target in X888 format, using inverse multiplicative blending.
XFCIMPORT void | getBlendingFormat (INT32 aSourceFormat, INT32 aTargetFormat, INT32 &aBlendingSourceFormat, INT32 &aBlendingTargetFormat)
| Calculates the common blending formats that can be used to blend pixels of two formats together.
XFCIMPORT xfcBlendingFunction | getBlendingFunction (INT32 aBlendingSourceFormat, INT32 aBlendingTargetFormat, INT32 aBlendMode)
| Returns the blending function that can blend aBlendingSourceFormat and aBlendingTargetFormat together.
XFCIMPORT INT32 | getBlendValue (INT32 aBlendingSourceFormat, INT32 aBlendingTargetFormat, INT32 aBlendMode, INT32 aBlendValue)
| Returns the blendvalue for blending between aBlendingSourceFormat and aBlendingTargetFormat.
XFCIMPORT xfcBufferBlendingFunction | getBufferBlendingFunction (INT32 aBlendingSourceFormat, INT32 aBlendingTargetFormat, INT32 aBlendMode)
| Returns the blending function that can blend aBlendingSourceFormat and aBlendingTargetFormat together.
XFCIMPORT void | blendBufferAlphaXA55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target.
XFCIMPORT void | blendBufferAddXA55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target using additive blending.
XFCIMPORT void | blendBufferMulXA55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target using multiplicative blending.
XFCIMPORT void | blendBufferInvmulXA55X5 (void *aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target using inverse multiplicative blending.
XFCIMPORT void | blendColorToBufferAlpha55X5 (UINT32 aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a constant 16bit color to target buffer with count aCount.
XFCIMPORT void | blendColorToBufferAdd55X5 (UINT32 aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a constant 16bit color to target buffer with count aCount using additive blending.
XFCIMPORT void | blendColorToBufferMul55X5 (UINT32 aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a constant 16bit color to target buffer with count aCount using multiplicative blending.
XFCIMPORT void | blendColorToBufferInvmul55X5 (UINT32 aSource, void *aTarget, UINT32 aBlendValue, INT32 aCount)
| Blends a constant 16bit color to target buffer with count aCount using multiplicative blending.

## Detailed Description

Utility for pixel blending.

Blending for X888 (XFCGF_X8R8G8B8) and Premul8888 (XFCGF_PREMULA8R8G8B8) formats is supported.

## Member Function Documentation

XFCIMPORT UINT32 XFcPixelBlender::blendAdd55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using additive blending.

XFCIMPORT UINT32 XFcPixelBlender::blendAddFast55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using fast additive blending.

XFCIMPORT UINT32 XFcPixelBlender::blendAddPremul8888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels in Premul8888 format, using additive blending.

XFCIMPORT UINT32 XFcPixelBlender::blendAddX888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, source in Premul8888 format, target in X888 format, using additive blending.

XFCIMPORT UINT32 XFcPixelBlender::blendAlpha55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using alpha blending.

XFCIMPORT UINT32 XFcPixelBlender::blendAlphaFast55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using fast alpha blending.

XFCIMPORT UINT32 XFcPixelBlender::blendAlphaPremul8888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels in Premul8888 format, using alpha blending.

XFCIMPORT UINT32 XFcPixelBlender::blendAlphaX888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, source in Premul8888 format, target in X888 format, using alpha blending.

XFCIMPORT void XFcPixelBlender::blendBufferAdd55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using additive blending.

XFCIMPORT void XFcPixelBlender::blendBufferAddFast55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using fast additive blending.

XFCIMPORT void XFcPixelBlender::blendBufferAddPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers in Premul8888 format, using additive blending.

XFCIMPORT void XFcPixelBlender::blendBufferAddX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, source in Premul8888 format, target in X888 format, using additive blending.

XFCIMPORT void XFcPixelBlender::blendBufferAddXA55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target using additive blending.

XFCIMPORT void XFcPixelBlender::blendBufferAlpha55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using alpha blending.

XFCIMPORT void XFcPixelBlender::blendBufferAlphaFast55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using fast alpha blending.

XFCIMPORT void XFcPixelBlender::blendBufferAlphaPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers in Premul8888 format, using alpha blending.

XFCIMPORT void XFcPixelBlender::blendBufferAlphaX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, source in Premul8888 format, target in X888 format, using alpha blending.

XFCIMPORT void XFcPixelBlender::blendBufferAlphaXA55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target.

XFCIMPORT void XFcPixelBlender::blendBufferInvmul55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using inverse multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferInvmulFast55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using fast inverse multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferInvmulPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers in Premul8888 format, using inverse multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferInvmulX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, source in Premul8888 format, target in X888 format, using inverse multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferInvmulXA55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target using inverse multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferMul55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferMulFast55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, using fast multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferMulPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers in Premul8888 format, using multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferMulX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, source in Premul8888 format, target in X888 format, using multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferMulXA55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a buffer of 16bit alpha (range 0-32) plus 16bit color with count aCount from source to target using multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendBufferNone55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, both in 55X5 format, no blending.

XFCIMPORT void XFcPixelBlender::blendBufferNonePremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers in Premul8888 format, no blending.

XFCIMPORT void XFcPixelBlender::blendBufferNoneX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends together two buffers, source in Premul8888 format, target in X888 format, no blending.

XFCIMPORT void XFcPixelBlender::blendColorToBufferAdd55X5 | ( | UINT32 | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a constant 16bit color to target buffer with count aCount using additive blending.

XFCIMPORT void XFcPixelBlender::blendColorToBufferAlpha55X5 | ( | UINT32 | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a constant 16bit color to target buffer with count aCount.

XFCIMPORT void XFcPixelBlender::blendColorToBufferInvmul55X5 | ( | UINT32 | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a constant 16bit color to target buffer with count aCount using multiplicative blending.

XFCIMPORT void XFcPixelBlender::blendColorToBufferMul55X5 | ( | UINT32 | aSource,
|  | void * | aTarget,
|  | UINT32 | aBlendValue,
|  | INT32 | aCount
| ) | `[static]`

| Blends a constant 16bit color to target buffer with count aCount using multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendInvmul55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using inverse multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendInvmulFast55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using fast inverse multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendInvmulPremul8888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels in Premul8888 format, using inverse multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendInvmulX888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, source in Premul8888 format, target in X888 format, using inverse multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendMul55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendMulFast55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, using fast multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendMulPremul8888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels in Premul8888 format, using multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendMulX888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, source in Premul8888 format, target in X888 format, using multiplicative blending.

XFCIMPORT UINT32 XFcPixelBlender::blendNone55X5 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, both in 55X5 format, no blending.

XFCIMPORT UINT32 XFcPixelBlender::blendNonePremul8888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels in Premul8888 format, no blending.

XFCIMPORT UINT32 XFcPixelBlender::blendNoneX888 | ( | UINT32 | aSource,
|  | UINT32 | aTarget,
|  | UINT32 | aBlendValue
| ) | `[static]`

| Blends together two pixels, source in Premul8888 format, target in X888 format, no blending.

XFCIMPORT void XFcPixelBlender::getBlendingFormat | ( | INT32 | aSourceFormat,
|  | INT32 | aTargetFormat,
|  | INT32 & | aBlendingSourceFormat,
|  | INT32 & | aBlendingTargetFormat
| ) | `[static]`

| Calculates the common blending formats that can be used to blend pixels of two formats together.

XFCIMPORT xfcBlendingFunction XFcPixelBlender::getBlendingFunction | ( | INT32 | aBlendingSourceFormat,
|  | INT32 | aBlendingTargetFormat,
|  | INT32 | aBlendMode
| ) | `[static]`

| Returns the blending function that can blend aBlendingSourceFormat and aBlendingTargetFormat together. aBlendingSourceFormat and aBlendingSourceFormats should be results from a call to getBlendingFormat so that it is guaranteed that a blending function for the formats exists. To get the correct blending value for the blending function, a call to getBlendingValue() has to be made.

XFCIMPORT INT32 XFcPixelBlender::getBlendValue | ( | INT32 | aBlendingSourceFormat,
|  | INT32 | aBlendingTargetFormat,
|  | INT32 | aBlendMode,
|  | INT32 | aBlendValue
| ) | `[static]`

| Returns the blendvalue for blending between aBlendingSourceFormat and aBlendingTargetFormat. aBlendingSourceFormat and aBlendingSourceFormats should be results from a call to getBlendingFormat so that it is guaranteed that a blending function for the formats exists.

XFCIMPORT xfcBufferBlendingFunction XFcPixelBlender::getBufferBlendingFunction | ( | INT32 | aBlendingSourceFormat,
|  | INT32 | aBlendingTargetFormat,
|  | INT32 | aBlendMode
| ) | `[static]`

| Returns the blending function that can blend aBlendingSourceFormat and aBlendingTargetFormat together. aBlendingSourceFormat and aBlendingSourceFormats should be results from a call to getBlendingFormat so that it is guaranteed that a blending function for the formats exists. To get the correct blending value for the blending function, a call to getBlendingValue() has to be made.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch